*{
    box-sizing: border-box;
}

body{
    font-family: 'Roboto' ,sans-serif;
    background-color: rgb(34, 34, 34);
}

main{
    max-width: 800px;
    width: 90%;
    margin: auto;
    padding: 40px;
}

label{
    color: white;
}

p{
    color: white;
}

h4{
    font-size: 24px;
    text-align: center;   
    color: white;
}

.formulario{
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}

.formulario_label{
    display: block;
    font-weight: 700;
    padding: 10px;
    cursor: pointer;
}

.formulario_grupo-input{
    position: relative;
}

.formulario_input{
    width: 100%;
    background-color: white;
    border: 3px solid transparent;
    border-radius: 3px;
    height: 40px;
    line-height: 45px;
    padding: 0 40px 0 10px;
    transition: .3s ease all;
}

.formulario_input:focus{
    border: 3px solid #0075FF;
    outline: none;
    box-shadow: 3px 0px 30px rgba(163,163,163, 0.4) ;
}

.formulario_input-error{
    font-size: 12px;
    margin-bottom: 0;
    display: none;
}

.formulario_input-error-activo{
    display: block;
}

.formulario_validacion-estado{
    position: absolute;
    right: 10px;
    bottom: 15px;
    z-index: 100px;
    font-size: 16px;
    opacity: 0;
}

.formulario_mensaje{
    height: 45px;
    line-height: 45px;
    background-color: red;
    padding: 0 15px;
    border-radius: 3px;
    display: none;
}

.formulario_mensaje-activo{
    display: block;
}

.formulario_mensaje p {
    margin: 0;
}

.formulario_grupo-btn-enviar{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formulario_btn{
    width: 100%;
    background-color: rgb(10, 86, 199);
    border: none;
    padding: 12px;
    color: white;
    margin: 16px 0;
    font-size: 16px;
}

.formulario_btn:hover{
    box-shadow: 3px 0px 10px  rgb(85, 131, 201);
}

.formulario_mensaje-exito{
    font-size: 25px;
    color: white;
    display: none;
}

.formulario_mensaje-exito-activo{
    display: block;
}

.formulario_grupo-correcto .formulario_validacion-estado{
color: #1ed12d;
opacity: 1;
}

.formulario_grupo-incorrecto .formulario_label{
    color: red;
}

.formulario_grupo-incorrecto .formulario_validacion-estado{
    color: red;
    opacity: 1;
}

.formulario_grupo-incorrecto .formulario_input{
border: 3px solid red;
}
